OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::ScaleAndSizeExtractor Class Reference

`#include <scaleAndSizeExtractor.hpp>`

## Public Member Functions
| ScaleAndSizeExtractor (const Point< int > &netInputResolution, const Point< int > &outputResolution, const int scaleNumber=1, const double scaleGap=0.25)
virtual | ~ScaleAndSizeExtractor ()
std::tuple< std::vector < double >, std::vector< Point < int > >, double, Point< int > > | extract (const Point< int > &inputResolution) const

## Constructor & Destructor Documentation

op::ScaleAndSizeExtractor::ScaleAndSizeExtractor | ( | const Point< int > & | netInputResolution,
|  | const Point< int > & | outputResolution,
|  | const int | scaleNumber = `1`,
|  | const double | scaleGap = `0.25`
| ) |  |

virtual op::ScaleAndSizeExtractor::~ScaleAndSizeExtractor | ( |  | ) |
| virtual

## Member Function Documentation

std::tuple<std::vector<double>, std::vector<Point<int> >, double, Point<int> > op::ScaleAndSizeExtractor::extract | ( | const Point< int > & | inputResolution | ) | const

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/core/scaleAndSizeExtractor.hpp